Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.ejb
Enum AccessMode

    java.lang.Object
      java.lang.Enum<AccessMode>
          javax.ejb.AccessMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AccessMode>

    public enum AccessMode

extends java.lang.Enum<AccessMode>

The enum for the type of EJB Home interface

Version:
  $Revision: 1.4.4.6 $
Author:
  Bill Burke

Enum Constant Summary
`LOCAL`
`REMOTE`

Method Summary
`static AccessMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AccessMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LOCAL

    public static final AccessMode LOCAL

### REMOTE

    public static final AccessMode REMOTE

Method Detail

### values

    public static final AccessMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(AccessMode c : AccessMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static AccessMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD